<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form>
            #{resourceCreationManager.initialize()}
            <h1>#{messages['gazelle.hl7.validator.NewResourceSubmission']}</h1>
            <s:div id="globalDiv">
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">
                        #{messages['gazelle.hl7.validator.NewResourceSubmission']}
                    </ui:define>
                    <div class="row">

                        <div class="col-lg-8">
                            <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                                <ui:define name="panel_title">
                                    #{messages['gazelle.hl7.validator.NewResourceDetails']}
                                </ui:define>
                                <div class="form-horizontal">
                                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                        <ui:param name="id" value="oidInput"/>
                                        <ui:define name="label">
                                            <h:outputText value="#{messages['gazelle.hl7.validator.ResourceOID']}"/>
                                        </ui:define>
                                        <div class="col-sm-4 gzl-no-padding-left">
                                            <h:inputText styleClass="form-control" id="oidInput"
                                                         value="#{resourceCreationManager.selectedResource.oid}"/>
                                        </div>
                                        <div class="col-sm-8">
                                            <a4j:commandButton value="#{messages['gazelle.hl7.validator.GenerateAnOID']}"
                                                               actionListener="#{resourceCreationManager.generateResourceOid()}"
                                                               render="oidInput" styleClass="gzl-btn-blue"/>
                                        </div>
                                    </s:decorate>
                                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                        <ui:param name="id" value="hl7version"/>
                                        <ui:define name="label">
                                            <h:outputText value="#{messages['gazelle.hl7mpr.Hl7Version']}"/>
                                        </ui:define>
                                            <h:inputText id="hl7version" value="#{resourceCreationManager.selectedResource.hl7Version}" styleClass="form-control"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                        <ui:param name="id" value="weight"/>
                                        <ui:define name="label">
                                            <h:outputText value="#{messages['net.ihe.gazelle.hl7.Weight']}"/>
                                        </ui:define>
                                        <h:inputText id="weight" value="#{resourceCreationManager.selectedResource.weight}" styleClass="form-control"/>
                                        <h:outputText value="(#{messages['net.ihe.gazelle.hl7.HL7ResourceWithHigherWeightWillBeProcessedFirstW']})"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                        <ui:param name="id" value="commentOnUsage"/>
                                        <ui:define name="label">
                                            <h:outputText value="#{messages['gazelle.hl7.validator.CommentOnUsage']}"/>
                                        </ui:define>
                                        <h:inputTextarea id="commentOnUsage" value="#{resourceCreationManager.selectedResource.comment}" cols="25" rows="4" styleClass="form-control"/>
                                    </s:decorate>

                                    <script> var path = PreferenceService.getString("hl7_table_directory")
                                    </script>


                                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                        <ui:param name="id" value="pathInput"/>
                                        <ui:param name="required" value="true"/>
                                        <ui:define name="label">
                                            <h:outputText value="#{messages['net.ihe.gazelle.hl7.Path']}"/>
                                        </ui:define>
                                        <div class="col-sm-4 gzl-no-padding-left">
                                            <h:inputText styleClass="form-control" id="pathInput"
                                                         value="#{resourceCreationManager.selectedResource.path}" style="width:300;"/>
                                        </div>
                                        <div class="col-sm-8">
                                            <a4j:commandButton value="#{messages['net.ihe.gazelle.hl7.DefaultPath']}"
                                                               actionListener="#{resourceCreationManager.generatePath()}"
                                                               render="pathInput" styleClass="gzl-btn-blue"/>
                                        </div>
                                    </s:decorate>


                                     <ui:define name="panel_footer">
                                        <a4j:commandButton value="#{messages['gazelle.hl7.validator.SaveResource']}"
                                                           action="#{resourceCreationManager.saveResource()}"
                                                           styleClass="gzl-btn-green"/>
                                    </ui:define>
                                </div>
                            </ui:decorate>
                        </div>

                    </div>
                </ui:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
